tigase.jaxmpp.core.client

## Interface AsyncCallback

- All Known Implementing Classes:
    AdHocCommansModule.AdHocCommansAsyncCallback, BookmarksModule.BookmarksAsyncCallback, DiscoveryModule.DiscoInfoAsyncCallback, DiscoveryModule.DiscoItemsAsyncCallback, EntityTimeModule.EntityTimeAsyncCallback, FlexibleOfflineMessageRetrieval.FlexibleOfflineMessageItemsAsyncCallback, HttpFileUploadModule.RequestUploadSlotHandler, MessageArchiveManagementModule.QueryFormCallback, MessageArchiveManagementModule.ResultCallback, MessageArchiveManagementModule.SettingsCallback, MessageArchivingModule.CollectionAsyncCallback, MessageArchivingModule.ItemsAsyncCallback, MessageArchivingModule.SettingsAsyncCallback, MucModule.RoomConfgurationAsyncCallback, PingModule.PingAsyncCallback, PubSubAsyncCallback, PubSubModule.AffiliationsRetrieveAsyncCallback, PubSubModule.NodeConfigurationAsyncCallback, PubSubModule.PublishAsyncCallback, PubSubModule.RetrieveItemsAsyncCallback, PubSubModule.SubscriptionAsyncCallback, PubSubModule.SubscriptionOptionsAsyncCallback, PubSubModule.SubscriptionsRetrieveAsyncCallback, Socks5BytestreamsModule.ActivateCallback, SoftwareVersionModule.SoftwareVersionAsyncCallback, StreamhostsCallback, StreamhostUsedCallback, StreamInitiationOfferAsyncCallback, VCardModule.VCardAsyncCallback

      public interface AsyncCallback

  Main interface for callback of all IQ asynchronous request-response mechanism.
  Author:
    bmalkow

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onError(Stanza responseStanza, XMPPException.ErrorCondition error)` Called when received response has type error.
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.
    `void` | `onTimeout()` Called when response wasn't received in given time.

- - ### Method Detail

    - #### onError

          void onError(Stanza responseStanza,
                       XMPPException.ErrorCondition error)
                throws JaxmppException

      Called when received response has type error.
      Parameters:
        `responseStanza` - received IQ stanza
        `error` - error condition
      Throws:
        `JaxmppException`

    - #### onSuccess

          void onSuccess(Stanza responseStanza)
                  throws JaxmppException

      Called when received response has type result.
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

    - #### onTimeout

          void onTimeout()
                  throws JaxmppException

      Called when response wasn't received in given time.
      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.